%define uname   arteFetcher

Name:           artefetcher
Version:        0.7.0
Release:        %mkrel 1
Summary:        Fetch videos from German and French Arte+7 website
License:        GPLv3+
Group:          Video/Utilities
Url:            https://sourceforge.net/projects/artefetcher
Source:         https://downloads.sf.net/artefetcher/%{name}_%{version}.tar.gz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5XmlPatterns)
BuildRequires:  qttools5

%description
This application will list the videos available in the French-German TV channel Arte.
You can choose the movie of your choice in the list, and download it in high quality.

%prep
%autosetup -n %{name}

%build
%{_qt5_bindir}/lrelease %{uname}_de.ts %{uname}_fr.ts
%qmake_qt5
%make_build

%install
%qmakeinstall_std

gzip -d %{uname}.1.gz
install -D -m644 %{uname}.1 %{buildroot}%{_mandir}/man1/%{uname}.1

install -D -m644 img/%{uname}.png %{buildroot}%{_datadir}/pixmaps/%{uname}.png

# Write custom desktop file as the upstream one is not so good
install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{uname}.desktop
[Desktop Entry]
Name=Arte Fetcher
GenericName=Video fetcher
GenericName[fr]=Télécharger des vidéos
Comment=Get videos from Arte TV channel
Comment[fr]=Récupérez les vidéos de la chaîne Arte
Exec=arteFetcher
Icon=arteFetcher
Type=Application
Categories=AudioVideo;Video;TV;
EOF

%files
%{_bindir}/%{uname}
%{_datadir}/applications/%{uname}.desktop
%{_datadir}/pixmaps/%{uname}.png
%{_mandir}/man1/%{uname}.1*


%changelog
* Tue Apr 19 2016 akien <akien> 0.7.0-1.mga5
+ Revision: 1003637
- backport artefetcher for mga5

* Sat Feb 13 2016 umeabot <umeabot> 0.7.0-2.mga6
+ Revision: 959540
- Mageia 6 Mass Rebuild

* Sun Nov 01 2015 akien <akien> 0.7.0-1.mga6
+ Revision: 897166
- imported package artefetcher

